View Issue Details

IDProjectCategoryView StatusLast Update
0031087Open CASCADEOCCT:Configurationpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionreopened 
Target Version7.6.1 
Summary0031087: Configuration - make FreeType dependency optional
DescriptionAlthough FreeType is mandatory tool for normal work of OCCT 3D Viewer, it might be sacrificed in some cases, when minimal application size is more important than functionality.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0023049 closedbugmaster Open CASCADE Optimize packaging and dependencies of visualization libraries 
related to 0032268 resolvedkgv Community Configuration, CMake - a proposal for minimal build flag in CMake 
related to 0030976 closedbugmaster Community Configuration, CMake - Build failure with static FreeType dependency 
related to 0032595 closedsmoskvin Open CASCADE Documentation - revise "Build OCCT" structure to highlight CMake usage 
child of 0031401 newkgv Open CASCADE Visualization - revise Toolkits dependency graph 

Activities

git

2019-10-20 13:39

administrator   ~0088361

Branch CR31087 has been created by kgv.

SHA-1: 7e6c16a1754a5a94bcef9572ce99d3aa71e40ee3


Detailed log of new commits:

Author: kgv
Date: Sun Oct 20 13:38:24 2019 +0300

    0031087: Configuration - make FreeType dependency optional

bugmaster

2020-03-03 10:22

administrator   ~0090791

Is this fix actual now?

kgv

2021-03-30 15:17

developer   ~0099876

> Is this fix actual now?
The patch adds HAVE_FREETYPE ifdef blocks, but doesn't update CMake and genproj routines, which should be done to complete the patch.
(and patch should be rebased, since Font_BRepFont has been moved to StdPrs).

git

2021-04-06 23:49

administrator   ~0100149

Branch CR31087_1 has been created by kgv.

SHA-1: 6d1f2695f0b01abc9eb2646bd061774e2de4e149


Detailed log of new commits:

Author: kgv
Date: Tue Apr 6 22:25:38 2021 +0300

    0031087: Configuration - make FreeType dependency optional
    
    Added option USE_FREETYPE to CMake configuration, enabled by default.
    Added handling of HAVE_FREETYPE macros.
    
    genproj now overrides env.bat/env.sh on template change.

git

2021-04-07 00:08

administrator   ~0100150

Branch CR31087_1 has been updated forcibly by kgv.

SHA-1: cf8d4c67083221113cac7b965391462d8a981d79

git

2021-04-07 00:10

administrator   ~0100151

Branch CR31087_1 has been updated forcibly by kgv.

SHA-1: b6a27662697f9388bbb65f7d0d8f6f2d1f92e00f

git

2021-04-07 00:27

administrator   ~0100152

Branch CR31087_1 has been updated forcibly by kgv.

SHA-1: 87475a39ce77f609800c869c86b6299b9f99be6d

git

2021-04-07 00:46

administrator   ~0100153

Branch CR31087_1 has been updated forcibly by kgv.

SHA-1: b5b99f4a6d89896b65ee283b6bee27ca67899195

git

2021-04-07 08:13

administrator   ~0100154

Branch CR31087_1 has been updated forcibly by kgv.

SHA-1: c67a7c4d1ba9a9961070f2ea8e865f938d20f623

git

2021-04-07 09:42

administrator   ~0100156

Branch CR31087_1 has been updated forcibly by kgv.

SHA-1: 5c9493b34878267b65879270951026982507917b

kgv

2021-04-07 09:46

developer   ~0100158

Patch is ready for review
- OCCT: branch CR31087_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31087_1-master-KGV/

osa

2021-04-07 10:16

developer   ~0100160

The patch was reviewed

bugmaster

2021-04-10 13:03

administrator   ~0100221

Combination -
OCCT branch : IR-2021-04-09
master SHA - a2af24d1a9e5a4f35749261e95d04ae2f389ccbb
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-09 SHA - b5e0ee5a2dc026e18acf3da707091be5d9d6d746
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18019.250000000382 / 18057.390000000454 [-0.21%]
Products
Total CPU difference: 11542.82000000007 / 11506.800000000105 [+0.31%]
Windows-64-VC14:
OCCT
Total CPU difference: 19509.84375 / 19513.828125 [-0.02%]
Products
Total CPU difference: 12890.46875 / 12943.234375 [-0.41%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-04-17 14:02

administrator   ~0100417

Branch CR31087_1 has been deleted by inv.

SHA-1: 5c9493b34878267b65879270951026982507917b

git

2021-04-17 14:02

administrator   ~0100421

Branch CR31087 has been deleted by inv.

SHA-1: 7e6c16a1754a5a94bcef9572ce99d3aa71e40ee3

kgv

2021-11-25 20:45

developer   ~0105437

Fix became incomplete after 0031678 integration, so that bug cannot be considered closed yet.

git

2021-11-25 20:50

administrator   ~0105438

Branch CR31087 has been created by kgv.

SHA-1: 6d8f360bb32adab65922a2bd9babebe47d947cfa


Detailed log of new commits:

Author: Dzmitry Razmyslovich
Date: Thu Nov 25 17:46:56 2021 +0100

    0031087: Configuration - make FreeType dependency optional [part 2]

git

2021-11-25 20:50

administrator   ~0105439

Branch CR31087_2 has been created by kgv.

SHA-1: 6d8f360bb32adab65922a2bd9babebe47d947cfa


No new revisions were added by this update.

git

2021-11-25 20:51

administrator   ~0105440

Branch CR31087 has been deleted by kgv.

SHA-1: 6d8f360bb32adab65922a2bd9babebe47d947cfa

kgv

2021-11-25 20:52

developer   ~0105441

Please raise the patch
- OCCT: branch CR31087_2.

smoskvin

2021-11-27 14:25

administrator   ~0105472

Combination -
OCCT branch : IR-2021-11-26
master SHA - 4a837ecec21bfe24d9c224c4b59aa9779156f297
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-26 SHA - 5da5872bffc6c1fa745ee5e33ac09c4fffd349b4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18390.380000000398 / 18549.650000000624 [-0.86%]
Products
Total CPU difference: 11648.280000000103 / 11661.570000000122 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 19927.859375 / 19945.046875 [-0.09%]
Products
Total CPU difference: 13059.03125 / 13091.625 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105855

Branch CR31087_2 has been deleted by kgv.

SHA-1: 6d8f360bb32adab65922a2bd9babebe47d947cfa

Related Changesets

occt: master 5c9493b3

2021-04-06 19:25:38

kgv

Details Diff
0031087: Configuration - make FreeType dependency optional

Added option USE_FREETYPE to CMake configuration, enabled by default.
Added handling of HAVE_FREETYPE macros.

genproj now overrides env.bat/env.sh on template change.
Affected Issues
0031087
mod - adm/cmake/occt_csf.cmake Diff File
mod - adm/cmake/vardescr.cmake Diff File
mod - adm/genconf.tcl Diff File
mod - adm/genconfdeps.tcl Diff File
mod - adm/genproj.tcl Diff File
mod - adm/qmake/OccToolkit.pri Diff File
mod - adm/templates/env.bat Diff File
mod - adm/templates/env.sh Diff File
mod - CMakeLists.txt Diff File
mod - dox/build/build_occt/building_occt.md Diff File
mod - src/Draw/Draw_BasicCommands.cxx Diff File
mod - src/Font/Font_FontMgr.cxx Diff File
mod - src/Font/Font_FTFont.cxx Diff File
mod - src/Font/Font_FTLibrary.cxx Diff File
mod - src/StdPrs/StdPrs_BRepFont.cxx Diff File

occt: master 4a837ece

2021-11-25 16:46:56

drazmyslovich


Committer: smoskvin Details Diff
0031087: Configuration - make FreeType dependency optional [part 2] Affected Issues
0031087
mod - src/Font/Font_FTFont.cxx Diff File

Issue History

Date Modified Username Field Change
2019-10-20 13:38 kgv New Issue
2019-10-20 13:38 kgv Assigned To => bugmaster
2019-10-20 13:39 git Note Added: 0088361
2019-10-20 13:46 kgv Relationship added related to 0023049
2020-03-03 10:22 bugmaster Note Added: 0090791
2020-03-03 10:22 bugmaster Status new => assigned
2020-03-04 10:28 kgv Relationship added child of 0031401
2020-09-11 15:40 utverdov Target Version 7.5.0 => 7.6.0
2021-03-30 15:13 kgv Relationship added related to 0032268
2021-03-30 15:17 kgv Note Added: 0099876
2021-04-06 23:49 git Note Added: 0100149
2021-04-07 00:08 git Note Added: 0100150
2021-04-07 00:10 git Note Added: 0100151
2021-04-07 00:27 git Note Added: 0100152
2021-04-07 00:46 git Note Added: 0100153
2021-04-07 08:13 git Note Added: 0100154
2021-04-07 09:42 git Note Added: 0100156
2021-04-07 09:46 kgv Note Added: 0100158
2021-04-07 09:46 kgv Assigned To bugmaster => osa
2021-04-07 09:46 kgv Severity minor => integration request
2021-04-07 09:46 kgv Status assigned => resolved
2021-04-07 10:16 osa Note Added: 0100160
2021-04-07 10:16 osa Assigned To osa => bugmaster
2021-04-07 10:16 osa Status resolved => reviewed
2021-04-10 13:03 bugmaster Note Added: 0100221
2021-04-10 13:03 bugmaster Status reviewed => tested
2021-04-10 13:05 bugmaster Test case number => Not required
2021-04-10 13:16 kgv Changeset attached => occt master 5c9493b3
2021-04-10 13:16 kgv Assigned To bugmaster => kgv
2021-04-10 13:16 kgv Status tested => verified
2021-04-10 13:16 kgv Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100417
2021-04-17 14:02 git Note Added: 0100421
2021-09-03 15:19 kgv Relationship added related to 0030976
2021-09-29 15:44 kgv Relationship added related to 0032595
2021-11-25 20:45 kgv Note Added: 0105437
2021-11-25 20:45 kgv Status closed => feedback
2021-11-25 20:45 kgv Resolution fixed => reopened
2021-11-25 20:46 kgv Fixed in Version 7.6.0 =>
2021-11-25 20:46 kgv Target Version 7.6.0 => 7.6.1
2021-11-25 20:50 git Note Added: 0105438
2021-11-25 20:50 git Note Added: 0105439
2021-11-25 20:51 git Note Added: 0105440
2021-11-25 20:52 kgv Note Added: 0105441
2021-11-25 20:52 kgv Assigned To kgv => bugmaster
2021-11-25 20:52 kgv Status feedback => reviewed
2021-11-27 14:25 smoskvin Note Added: 0105472
2021-11-27 14:25 smoskvin Status reviewed => tested
2021-11-27 14:52 smoskvin Changeset attached => occt master 4a837ece
2021-11-27 14:52 smoskvin Assigned To bugmaster => smoskvin
2021-11-27 14:52 smoskvin Status tested => verified
2021-12-13 14:56 git Note Added: 0105855